%global libyui_major 16

Name:		isodumper
Version:	1.56
Release:	%mkrel 2
Summary:	Tool for writing ISO images on a USB stick
Summary(fr_FR):	Outil pour écrire des images ISO sur une clé USB
License:	GPLv2+ and LGPLv2+
Group:		System/Configuration
URL:		https://gitweb.mageia.org/software/isodumper/about/
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	pango
BuildRequires:	systemd
Requires:	polkit
Requires:	python3
Requires:	python3-gobject
Requires:	python3-gnupg
Requires:	python3-manatools
Requires:	python3-parted
Requires:	python3-psutil
Requires:	python3-pydbus
Requires:	python3-yui
Requires:	sha3sum
Requires:	udisks2
Requires:	libyui-ncurses%{libyui_major}
Requires:	libyui-mga-ncurses%{libyui_major}
Recommends:	exfatprogs
# ensure that users are asked to choice a GUI between Qt or GTK
Recommends:	%{name}-gui

Provides:	backup-tool
Provides:	dump-tool
Provides:	format-tool

%description
A tool for USB sticks and removable memory devices like SD-cards.

Features:
* dump ISO file on the device;
* format the device in one partition of ext4, NTFS, exfat or FAT32 type;
* backup the device as a whole.

%description -l fr_FR
Un outil graphique pour écrire des images ISO sur une clé USB ou un
support à mémoire. Il permet également d'ajouter une partition persistante et
de formater la clé.

#----------------------------------------------------

%package	qt
Summary:	IsoDumper for Qt
Group:		System/Configuration
Requires:	%{name} >= %{version}-%{release}
Requires:	libyui-qt%{libyui_major}
Requires:	libyui-mga-qt%{libyui_major}
# provide the same GUI allowing users to have a choice between Qt or GTK
Provides:	%{name}-gui

%description	qt
%{name}-qt is a meta-package containing Qt dependency for %{name}
and also the menu entry.

#----------------------------------------------------

%package	gtk
Summary:	IsoDumper for GTK
Group:		System/Configuration
Requires:	%{name} >= %{version}-%{release}
Requires:	libyui-gtk%{libyui_major}
Requires:	libyui-mga-gtk%{libyui_major}
# provide the same GUI allowing users to have a choice between Qt or GTK
Provides:	%{name}-gui

%description	gtk
%{name}-gtk is a meta-package containing GTK dependency for %{name}
and also the menu entry.

#----------------------------------------------------

%prep
%autosetup -p1

%build
%make_build

%install
%make_install

rm -f %{buildroot}%{_docdir}/%{name}/COPYING*

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG i18n.md README.md
%license COPYING.GPL COPYING.LGPL
%config(noreplace) %{_sysconfdir}/mpan/categories.conf.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mageia.Magiback.conf
%{_bindir}/%{name}
%{_bindir}/magiback
%{_usr}/lib/%{name}/
%{_unitdir}/magiback.service
%{_datadir}/%{name}/
%{_datadir}/dbus-1/system-services/org.mageia.Magiback.service
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/*/%{name}.*
%{python3_sitelib}/%{name}/

%files qt
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/applications/format-usb-qt.desktop

%files gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/applications/format-usb-gtk.desktop


%changelog
* Mon Mar 03 2025 daviddavid <daviddavid> 1.56-2.mga10
+ Revision: 2159522
- rebuild for python 3.13

* Tue Oct 01 2024 papoteur <papoteur> 1.56-1.mga10
+ Revision: 2102228
- new version 1.56
- refactor signature checking

* Tue Dec 26 2023 daviddavid <daviddavid> 1.55-2.mga10
+ Revision: 2021539
- rebuild for py3.12

* Wed Aug 09 2023 daviddavid <daviddavid> 1.55-1.mga9
+ Revision: 1964583
- new version: 1.55
  * fix some translations typo

* Sun Aug 06 2023 papoteur <papoteur> 1.54-1.mga9
+ Revision: 1964465
- new 1.54

* Thu Aug 03 2023 papoteur <papoteur> 1.53-1.mga9
+ Revision: 1964396
- new 1.53

* Thu Jul 13 2023 papoteur <papoteur> 1.52-1.mga9
+ Revision: 1963938
- new 1.52

* Tue Jul 04 2023 papoteur <papoteur> 1.51-1.mga9
+ Revision: 1963573
- new 1.51

* Sat Jul 01 2023 papoteur <papoteur> 1.50-1.mga9
+ Revision: 1963366
- new 1.50

* Sun Jun 25 2023 papoteur <papoteur> 1.49-1.mga9
+ Revision: 1963025
- new 1.49

* Sat Jun 10 2023 papoteur <papoteur> 1.48-1.mga9
+ Revision: 1961586
- new 1.48

* Tue Jun 06 2023 papoteur <papoteur> 1.47-1.mga9
+ Revision: 1961113
- new 1.47
- catch error in exploring GPG keys (mga#31978)

* Wed May 31 2023 papoteur <papoteur> 1.46-1.mga9
+ Revision: 1960166
- new 1.46

* Tue May 23 2023 papoteur <papoteur> 1.45-1.mga9
+ Revision: 1957832
- new 1.45, fixes for mga#31898 and mga#31860

* Tue Feb 28 2023 wally <wally> 1.44-3.mga9
+ Revision: 1945767
- build again as noarch pkg
- update more strict libyui requires to depend on certain libyui lib major version

* Mon Feb 27 2023 wally <wally> 1.44-2.mga9
+ Revision: 1945642
- add a bit more strict requires (mga#31586)

* Thu Feb 23 2023 papoteur <papoteur> 1.44-1.mga9
+ Revision: 1945161
- new 1.44 (mga#31586)

* Sun Feb 05 2023 papoteur <papoteur> 1.43-1.mga9
+ Revision: 1938562
- new 1.43
- fix server for GPG keys

* Fri Jan 27 2023 papoteur <papoteur> 1.42-1.mga9
+ Revision: 1936482
- new 1.42

* Wed Nov 02 2022 papoteur <papoteur> 1.41-6.mga9
+ Revision: 1901461
- add recommends for exfatprogs

* Tue Nov 01 2022 ghibo <ghibo> 1.41-5.mga9
+ Revision: 1900999
- Avoid building as noarch to avoid mess during upgrades (e.g. keeping mga8 libyui libraries as dep)

* Thu Mar 31 2022 umeabot <umeabot> 1.41-4.mga9
+ Revision: 1837203
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 1.41-3.mga9
+ Revision: 1773707
- Rebuild for python-3.10

* Sun Oct 03 2021 wally <wally> 1.41-2.mga9
+ Revision: 1748947
- fix libyui requires

* Mon Jun 07 2021 daviddavid <daviddavid> 1.41-1.mga9
+ Revision: 1729987
- new version: 1.41

* Sun Mar 28 2021 daviddavid <daviddavid> 1.40-1.mga9
+ Revision: 1711417
- new version: 1.40
  * New GUI (mga#27744)
  * Improve messages after success or warning
  * Add reporting partitions when selecting a device.
  * Log are directly registered
  * Check the signature as a first step after selecting an image to write.
  * Init DBus interface only one time
  * Name of persistent partition is editable
  * Use python-manatools to manage application events

* Wed Mar 24 2021 daviddavid <daviddavid> 1.35-1.mga9
+ Revision: 1708533
- new version: 1.35
  * Manage case when persistent partition creation failed (mga#28466)

* Sun Mar 21 2021 daviddavid <daviddavid> 1.34-1.mga9
+ Revision: 1706611
- new version: 1.34
  * Improve messages for signature checking (mga#28466)

* Sat Mar 20 2021 daviddavid <daviddavid> 1.33-2.mga9
+ Revision: 1705253
- rebuild for python 3.9

* Wed Jan 20 2021 daviddavid <daviddavid> 1.33-1.mga8
+ Revision: 1672642
- new version: 1.33
  * Fix GTK interface not responding
  * Fix signal when device is removed
  * Add version generation when installing in Makefile

* Wed Jan 06 2021 daviddavid <daviddavid> 1.32-1.mga8
+ Revision: 1669241
- new version: 1.32
  * Update translations
  * Fix display of warning

* Wed Jan 06 2021 daviddavid <daviddavid> 1.30-2.mga8
+ Revision: 1669204
- recommends the isodumper-gui instead of required it, thus
  prevent to uninstall the main isodumper package (mga#26777)

* Sun Dec 20 2020 daviddavid <daviddavid> 1.30-1.mga8
+ Revision: 1661669
- new version: 1.30
  * Verify signatures also when they are detached (mga#27667)
  * Display warning instead of success when sums or signatures doesn't match (mga#27667)

* Wed Dec 16 2020 daviddavid <daviddavid> 1.29-1.mga8
+ Revision: 1658109
- new version: 1.29
  * Fix creating ~/.isodumper for logging when not yet existing

* Mon Nov 30 2020 daviddavid <daviddavid> 1.28-1.mga8
+ Revision: 1650787
- new version: 1.28
  * Fix when fdisk considers that something is busy
  * Don't load key when already present
  * Add debug option
- add missing dependency on sha3sum

* Thu Nov 19 2020 daviddavid <daviddavid> 1.27-1.mga8
+ Revision: 1647496
- new version: 1.27
  * Fix unmounting
  * Add more details during operations

* Sun Nov 15 2020 daviddavid <daviddavid> 1.26-1.mga8
+ Revision: 1646341
- new version: 1.26
  * Fix detection of other instance

* Sun Nov 15 2020 daviddavid <daviddavid> 1.25-1.mga8
+ Revision: 1646328
- new version: 1.25
  * Fix translation for Albanian
  * Avoid race conditions to detect other instance

* Mon Oct 19 2020 daviddavid <daviddavid> 1.24-1.mga8
+ Revision: 1636904
- new version: 1.24
  * Use udisk2 to unmount partitions

* Sat Oct 10 2020 daviddavid <daviddavid> 1.23-1.mga8
+ Revision: 1633114
- new version: 1.23
  * Fix waiting that the partition table is updated before formatting

* Mon Oct 05 2020 daviddavid <daviddavid> 1.22-1.mga8
+ Revision: 1632258
- new version: 1.22
  * Fix typo in command for creating persistent partition (mga#27354)
    and add delay after creating the partition

* Tue Sep 01 2020 daviddavid <daviddavid> 1.21-1.mga8
+ Revision: 1620578
- new version: 1.21
  * Avoid confusion in device when there is device without Vendor nor Model (mga#27209)

* Mon Jul 20 2020 daviddavid <daviddavid> 1.20-1.mga8
+ Revision: 1607472
- new version: 1.20
  * Add unmount command before eject (mag#26974)

* Tue Jun 30 2020 daviddavid <daviddavid> 1.19-1.mga8
+ Revision: 1600811
- new version: 1.19

* Mon Jun 29 2020 anaselli <anaselli> 1.18-2.mga8
+ Revision: 1600533
- rebuild for new libyui 3.10.0

* Sat Jun 27 2020 daviddavid <daviddavid> 1.18-1.mga8
+ Revision: 1599513
- new version: 1.18
- add new dependency on python3-manatools

* Fri Jun 05 2020 daviddavid <daviddavid> 1.17-2.mga8
+ Revision: 1590620
- fix a typo in isodumper.py file (mga#26734)

* Fri May 29 2020 daviddavid <daviddavid> 1.17-1.mga8
+ Revision: 1588836
- new version: 1.17
  * check SHA3-512 instead of SHA512
  * add description for exFat
  * update translations

* Fri Mar 27 2020 anaselli <anaselli> 1.16-3.mga8
+ Revision: 1561234
- Update for new libyui

* Thu Feb 20 2020 umeabot <umeabot> 1.16-2.mga8
+ Revision: 1546050
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 1.16-1.mga8
+ Revision: 1485826
- new version: 1.16
  * add format exFAT for formatting the device
  * add eject instruction after writing operations
  * add option for creation of encrypted persistent partition, could be used for Mageia 8 and later
  * fix detection of SD cards

* Sat Sep 14 2019 daviddavid <daviddavid> 1.15-2.mga8
+ Revision: 1440840
- rebuild for python3.8

* Tue Aug 20 2019 daviddavid <daviddavid> 1.15-1.mga8
+ Revision: 1430625
- new version: 1.15

* Tue Aug 20 2019 daviddavid <daviddavid> 1.14-1.mga8
+ Revision: 1430562
- new version: 1.14

* Tue Jul 30 2019 daviddavid <daviddavid> 1.13-1.mga8
+ Revision: 1425505
- new version: 1.13

* Mon Jul 29 2019 daviddavid <daviddavid> 1.12-1.mga8
+ Revision: 1425136
- new version: 1.12

* Mon Jul 29 2019 daviddavid <daviddavid> 1.11-2.mga8
+ Revision: 1424841
- add missing dependencie on python3-psutil

* Sun Jul 28 2019 daviddavid <daviddavid> 1.11-1.mga8
+ Revision: 1424792
- new version: 1.11

* Wed Jul 24 2019 daviddavid <daviddavid> 1.10-1.mga8
+ Revision: 1423754
- new version: 1.10 (fixes mga#25173)

* Wed Jul 10 2019 daviddavid <daviddavid> 1.09-1.mga8
+ Revision: 1419957
- new version: 1.09 (mga#25091)

* Mon May 20 2019 tmb <tmb> 1.08-1.mga7
+ Revision: 1398569
- translation updates

* Wed Feb 06 2019 daviddavid <daviddavid> 1.07-1.mga7
+ Revision: 1363548
- new version: 1.07

* Tue Feb 05 2019 daviddavid <daviddavid> 1.06-1.mga7
+ Revision: 1363353
- new version: 1.06

* Mon Jan 07 2019 daviddavid <daviddavid> 1.05-3.mga7
+ Revision: 1351041
- rebuild for new Python 3.7

* Sun Dec 16 2018 anaselli <anaselli> 1.05-2.mga7
+ Revision: 1341913
- rebuilt against new libyui

* Sat Dec 15 2018 daviddavid <daviddavid> 1.05-1.mga7
+ Revision: 1341481
- new version: 1.05

* Mon Oct 22 2018 daviddavid <daviddavid> 1.04-1.mga7
+ Revision: 1323917
- new version: 1.04

* Tue Oct 16 2018 daviddavid <daviddavid> 1.03-1.mga7
+ Revision: 1321189
- new version: 1.03

* Wed Oct 10 2018 daviddavid <daviddavid> 1.02-1.mga7
+ Revision: 1319254
- new version: 1.02

* Tue Oct 09 2018 daviddavid <daviddavid> 1.01-1.mga7
+ Revision: 1319135
- new version: 1.01

* Sun Oct 07 2018 daviddavid <daviddavid> 1.00-1.mga7
+ Revision: 1318544
- new version: 1.00
- replace python3-dbus for python3-pydbus

* Thu Sep 20 2018 umeabot <umeabot> 0.59-3.mga7
+ Revision: 1278882
- Mageia 7 Mass Rebuild

* Wed Mar 28 2018 daviddavid <daviddavid> 0.59-2.mga7
+ Revision: 1212993
- add a yui_major on requires to make sure isodumper uses the current one (mga#22836)
- update description

* Wed Aug 30 2017 daviddavid <daviddavid> 0.59-1.mga7
+ Revision: 1148491
- new version: 0.59

* Tue Jun 06 2017 akien <akien> 0.58-1.mga6
+ Revision: 1107106
- Version 0.58, translation updates

* Mon Mar 13 2017 akien <akien> 0.56-1.mga6
+ Revision: 1092365
- Version 0.56

* Mon Jan 02 2017 daviddavid <daviddavid> 0.55-1.mga6
+ Revision: 1079740
- new version: 0.55

* Sat Nov 05 2016 daviddavid <daviddavid> 0.54-1.mga6
+ Revision: 1065451
- new version: 0.54

* Thu Aug 25 2016 daviddavid <daviddavid> 0.53-1.mga6
+ Revision: 1048915
- new version: 0.53

* Sun Jul 24 2016 daviddavid <daviddavid> 0.52-1.mga6
+ Revision: 1043510
- new version: 0.52

* Sat May 28 2016 daviddavid <daviddavid> 0.51-3.mga6
+ Revision: 1019037
- ensure that users are asked to choice a GUI between Qt or GTK (mga#18564)

* Thu May 12 2016 daviddavid <daviddavid> 0.51-2.mga6
+ Revision: 1014263
- fix requires from all libyui-xxxx (prevent to install 32 bit libraries on a 64 bit system)

* Thu May 12 2016 daviddavid <daviddavid> 0.51-1.mga6
+ Revision: 1014133
- new version: 0.51
- port to python3 and libyui
- provides a GTK meta-package and a Qt meta-package

* Fri Mar 25 2016 ennael <ennael> 0.46-1.mga6
+ Revision: 995315
- New design (Animtim)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 daviddavid <daviddavid> 0.44-1.mga6
+ Revision: 904980
- new version: 0.44 (fixes mga#16837)

* Tue Oct 06 2015 daviddavid <daviddavid> 0.43-1.mga6
+ Revision: 886536
- new version: 0.43 (fixes mga#16910)

* Tue Sep 15 2015 daviddavid <daviddavid> 0.42-2.mga6
+ Revision: 879549
- update doc file list (fix build with new rpm 4.13.0)

* Wed May 20 2015 daviddavid <daviddavid> 0.42-1.mga5
+ Revision: 822457
- new version: 0.42 (fix mga#15990)
  * suppress UEFI feature
  * translation update

* Sun Mar 08 2015 daviddavid <daviddavid> 0.41-1.mga5
+ Revision: 818077
- new version: 0.41 (fix mga#15422)

* Sat Feb 21 2015 daviddavid <daviddavid> 0.40-1.mga5
+ Revision: 816253
- new version: 0.40 (fix mga#15236)
- update Url and Source Url

* Sun Dec 21 2014 daviddavid <daviddavid> 0.32-2.mga5
+ Revision: 804653
- add missing requirement on python-dbus

* Mon Nov 10 2014 daviddavid <daviddavid> 0.32-1.mga5
+ Revision: 796233
- new version: 0.32

* Wed Oct 15 2014 umeabot <umeabot> 0.31-2.mga5
+ Revision: 745163
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 daviddavid <daviddavid> 0.31-1.mga5
+ Revision: 737348
- new version: 0.31
  * fix security issue when writing log file (mga#14207)

* Tue Sep 16 2014 umeabot <umeabot> 0.30-2.mga5
+ Revision: 680574
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 daviddavid <daviddavid> 0.30-1.mga5
+ Revision: 674377
- add new requires on python-parted
- swith requires procps to procps-ng
- new version: 0.30

* Thu Sep 04 2014 daviddavid <daviddavid> 0.23-1.mga5
+ Revision: 672130
- new version: 0.23
- obsolete usb-imagewriter as it is replaced by isodumper

* Mon Jun 16 2014 akien <akien> 0.22-1.mga5
+ Revision: 637663
- Version 0.22: https://github.com/papoteur-mga/isodumper/releases/tag/0.22

* Thu May 08 2014 daviddavid <daviddavid> 0.21-1.mga5
+ Revision: 621265
- new version: 0.21

* Thu Feb 06 2014 akien <akien> 0.20-4.mga5
+ Revision: 584814
- Bump release
- Repack of version 0.20 to include en_GB translation

* Fri Jan 10 2014 akien <akien> 0.20-2.mga4
+ Revision: 566183
+ rebuild (emptylog)

* Thu Jan 09 2014 akien <akien> 0.20-1.mga4
+ Revision: 565993
- Update to 0.20: https://github.com/papoteur-mga/isodumper/releases/tag/0.20
- Notable change is the switch from usermode to polkit and a function to backup device contents

* Sun Dec 22 2013 akien <akien> 0.13-2.mga4
+ Revision: 559971
- New upstream tarball for 0.13, now the version is displayed in the title bar

* Mon Dec 16 2013 akien <akien> 0.13-1.mga4
+ Revision: 557935
- Update to upstream release 0.13: https://github.com/papoteur-mga/isodumper/releases/tag/0.13
- Now building and installing with a proper Makefile
- Changing BR on usermode-consoleonly to a Requires

* Sun Nov 24 2013 akien <akien> 0.12-1.mga4
+ Revision: 552726
- New upstream release 0.12, with changes:
- Correction of bugs in the device name and in the dialog box loops
- Added a catch of writing error
- Update to upstream release 0.11: https://github.com/papoteur-mga/isodumper/releases/tag/0.11
- Changed spec file to include all validated translations

* Mon Oct 21 2013 umeabot <umeabot> 0.1-2.mga4
+ Revision: 539293
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 akien <akien> 0.1-1.mga4
+ Revision: 489154
- Fixed version number (0.1 instead of 0.10)
- Reverted early change to the locale installation (will be added in future versions)
- Version 0.10
- Improved translation build (david_david)
- Fixed erroneous change of the lib dir
- imported package isodumper

